%define pkgversion 211

Name: qmailmrtg
Version: 2.11
Release: 2%{dist}
Summary: Qmail MRTG Stat collector

Group: Applications/System
License:  GNUv2
URL: http://www.fehcom.de/qmail/spamcontrol.html

Source0: http://www.fehcom.de/qmail/mrtg/%{name}-%{pkgversion}.tgz
Patch0:  qmailmrtg_usr-local.patch

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

BuildRequires: qmail
BuildRequires: httpd

Requires: qmail
Requires: httpd
Requires: mrtg

Requires: qmailanalog

%description
qmailmrtg uses qmail's excellent and extensive logging via multilog, tcpserver,
qmail-send and qmail-smtpd. It takes the pop3 smtp and qmail transaction logs
and sends them to 9 different mrtg graphs, each graph with 4 historical time
series. 

%prep
%setup -n %{name}.%{version}
%patch0 -p1

%build
./configure --prefix=%{_prefix}
make 

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p} \
   $RPM_BUILD_ROOT%{_sysconfdir}/cron.d \
   $RPM_BUILD_ROOT%{_bindir} \
   $RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

%{__cp} ./%{name}/qmail-mrtg-queue $RPM_BUILD_ROOT%{_bindir}/
%{__cp} ./%{name}/qmail-mrtg-queue.bigto $RPM_BUILD_ROOT%{_bindir}/
%{__cp} ./%{name}/%{name} $RPM_BUILD_ROOT%{_bindir}/

%{__cp} ./%{name}/qmail.mrtg.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__cp} ./%{name}/qmail-smtpd.mrtg.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# apache configuration file
echo "# configuration to serve qmailmrtg 
Alias /qmail/graphics /var/www/html
<Directory /var/www/html>
    AllowOverride All
    Order allow,deny
    Allow from all
    AuthType Basic
    AuthName "Qmail MRTG"
    AuthUserFile /etc/qmailtoaster-admin.htpasswd
    require valid-user
</Directory>
" > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

# cronjob to run
echo "SHELL=/bin/sh
MAILTO=root

0-59/5 * * * * root env LANG=C %{_bindir}/mrtg %{package_var_dir}/%{name}.cfg 2>&1 > /dev/null" > \
$RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}

%files
%defattr(-,root,root)
%doc qmailmrtg.kdevprj AUTHORS COPYING ChangeLog INSTALL 
%doc README TODO qmailmrtg.lsm

%defattr(0644,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/qmail.mrtg.cfg
%config(noreplace) %{_sysconfdir}/%{name}/qmail-smtpd.mrtg.cfg

%defattr(0755,root,root)
%{_bindir}/qmail-mrtg-queue
%{_bindir}/qmail-mrtg-queue.bigto
%{_bindir}/%{name}

%changelog
* Mon Jan 07 2013 Pavel Lisy <pali@tmapy.cz> 2.11-2
- cleaning of spec file

* Thu Dec 20 2012 Pavel Lisy <pali@tmapy.cz> 2.11-1
- first build

